# Inhibit python compilation
%global __python %{nil}

Name:           perl-v6
Version:        0.045
Release:        10%{?dist}
Summary:        Perl 6 implementation
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/v6/
Source0:        http://www.cpan.org/authors/id/F/FG/FGLOCK/v6-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
# Run-time
BuildRequires:  perl(Encode)
BuildRequires:  perl(Filter::Util::Call)
BuildRequires:  perl(Scalar::Util)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# Do not export private modules
%global __provides_exclude %{!?__provides_exclude:^$}
%global __provides_exclude %__provides_exclude|^perl\\(Apply\\)
%global __provides_exclude %__provides_exclude|^perl\\(ARRAY\\)
%global __provides_exclude %__provides_exclude|^perl\\(Bind\\)
%global __provides_exclude %__provides_exclude|^perl\\(Call\\)
%global __provides_exclude %__provides_exclude|^perl\\(CompUnit\\)
%global __provides_exclude %__provides_exclude|^perl\\(Decl\\)
%global __provides_exclude %__provides_exclude|^perl\\(Do\\)
%global __provides_exclude %__provides_exclude|^perl\\(For\\)
%global __provides_exclude %__provides_exclude|^perl\\(GLOBAL\\)
%global __provides_exclude %__provides_exclude|^perl\\(HASH\\)
%global __provides_exclude %__provides_exclude|^perl\\(If\\)
%global __provides_exclude %__provides_exclude|^perl\\(Index\\)
%global __provides_exclude %__provides_exclude|^perl\\(IO\\)
%global __provides_exclude %__provides_exclude|^perl\\(Javascript\\)
%global __provides_exclude %__provides_exclude|^perl\\(Lit::Array\\)
%global __provides_exclude %__provides_exclude|^perl\\(Lit::Block\\)
%global __provides_exclude %__provides_exclude|^perl\\(Lit::Code\\)
%global __provides_exclude %__provides_exclude|^perl\\(Lit::Hash\\)
%global __provides_exclude %__provides_exclude|^perl\\(Lit::Object\\)
%global __provides_exclude %__provides_exclude|^perl\\(Lookup\\)
%global __provides_exclude %__provides_exclude|^perl\\(Main\\)
%global __provides_exclude %__provides_exclude|^perl\\(Method\\)
%global __provides_exclude %__provides_exclude|^perl\\(Pair\\)
%global __provides_exclude %__provides_exclude|^perl\\(Perl5\\)
%global __provides_exclude %__provides_exclude|^perl\\(Proto\\)
%global __provides_exclude %__provides_exclude|^perl\\(Python\\)
%global __provides_exclude %__provides_exclude|^perl\\(Return\\)
%global __provides_exclude %__provides_exclude|^perl\\(Ruby\\)
%global __provides_exclude %__provides_exclude|^perl\\(Rul\\)
%global __provides_exclude %__provides_exclude|^perl\\(Rul::After\\)
%global __provides_exclude %__provides_exclude|^perl\\(Rul::Before\\)
%global __provides_exclude %__provides_exclude|^perl\\(Rul::Block\\)
%global __provides_exclude %__provides_exclude|^perl\\(Rul::Capture\\)
%global __provides_exclude %__provides_exclude|^perl\\(Rul::CaptureResult\\)
%global __provides_exclude %__provides_exclude|^perl\\(Rul::CharClass\\)
%global __provides_exclude %__provides_exclude|^perl\\(Rul::Concat\\)
%global __provides_exclude %__provides_exclude|^perl\\(Rul::Constant\\)
%global __provides_exclude %__provides_exclude|^perl\\(Rul::Dot\\)
%global __provides_exclude %__provides_exclude|^perl\\(Rul::InterpolateVar\\)
%global __provides_exclude %__provides_exclude|^perl\\(Rul::NamedCapture\\)
%global __provides_exclude %__provides_exclude|^perl\\(Rul::NegateCharClass\\)
%global __provides_exclude %__provides_exclude|^perl\\(Rul::NotBefore\\)
%global __provides_exclude %__provides_exclude|^perl\\(Rul::Or\\)
%global __provides_exclude %__provides_exclude|^perl\\(Rul::Quantifier\\)
%global __provides_exclude %__provides_exclude|^perl\\(Rul::SpecialChar\\)
%global __provides_exclude %__provides_exclude|^perl\\(Rul::Subrule\\)
%global __provides_exclude %__provides_exclude|^perl\\(Rul::Var\\)
%global __provides_exclude %__provides_exclude|^perl\\(Sig\\)
%global __provides_exclude %__provides_exclude|^perl\\(Sub\\)
%global __provides_exclude %__provides_exclude|^perl\\(Use\\)
%global __provides_exclude %__provides_exclude|^perl\\(Val::Bit\\)
%global __provides_exclude %__provides_exclude|^perl\\(Val::Buf\\)
%global __provides_exclude %__provides_exclude|^perl\\(Val::Int\\)
%global __provides_exclude %__provides_exclude|^perl\\(Val::Num\\)
%global __provides_exclude %__provides_exclude|^perl\\(Val::Object\\)
%global __provides_exclude %__provides_exclude|^perl\\(Val::Undef\\)
%global __provides_exclude %__provides_exclude|^perl\\(Var\\)
%global __provides_exclude %__provides_exclude|^perl\\(When\\)
%global __provides_exclude %__provides_exclude|^perl\\(While\\)
# Do not require private modules
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^$
%global __requires_exclude %__requires_exclude|^perl\\(Perlito::Emitter::Token\\)
%global __requires_exclude %__requires_exclude|^perl\\(Perlito::Go::Emitter\\)
%global __requires_exclude %__requires_exclude|^perl\\(Perlito::Grammar::Control\\)
%global __requires_exclude %__requires_exclude|^perl\\(Perlito::Javascript::Emitter\\)
%global __requires_exclude %__requires_exclude|^perl\\(Perlito::Lisp::Emitter\\)
%global __requires_exclude %__requires_exclude|^perl\\(Perlito::Macro\\)
%global __requires_exclude %__requires_exclude|^perl\\(Perlito::Parrot::Emitter\\)
%global __requires_exclude %__requires_exclude|^perl\\(Perlito::Perl5::Emitter\\)
%global __requires_exclude %__requires_exclude|^perl\\(Perlito::Perl5::Prelude\\)
%global __requires_exclude %__requires_exclude|^perl\\(Perlito::Perl5::Runtime\\)
%global __requires_exclude %__requires_exclude|^perl\\(Perlito::Python::Emitter\\)
%global __requires_exclude %__requires_exclude|^perl\\(Perlito::Ruby::Emitter\\)

%description
The v6 module is a front-end to the "Perlito" compiler.

%prep
%setup -q -n v6-%{version}
%fix_shbang_line scripts/perlito
find -type f -exec chmod -x {} +

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc ChangeLog README
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.045-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.045-9
- Perl 5.22 rebuild

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.045-8
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.045-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.045-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.045-5
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.045-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.045-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jun 10 2012 Petr Pisar <ppisar@redhat.com> - 0.045-2
- Perl 5.16 rebuild

* Wed May 09 2012 Petr Pisar <ppisar@redhat.com> - 0.045-1
- 0.045 bump

* Tue Apr 17 2012 Petr Pisar <ppisar@redhat.com> 0.044-1
- Specfile autogenerated by cpanspec 1.78.
